#ifndef FILE_H
#define FILE_H

#include <furrycat/furrycat.h>

#include <stdio.h>
#include <sys/types.h>
#include <ctype.h>
#include <sys/stat.h>
#include <plib/sg.h>
#ifdef WIN32
#include <windows.h>
#define snprintf _snprintf
#endif

#ifndef MAX_PATH
#define MAX_PATH 65536
#endif

int invalid_windows_filename(unsigned char *, unsigned short);
int find_file(char *, char *, char *actual);
int missing_file(char *, unsigned short, char *actual);
void set_dirname(char *, unsigned short, char **, unsigned short *);
void set_basename(char *, unsigned short, char **, unsigned short *);

#endif

