#include "texture.h"

void cleanup_textures(unsigned short num_textures, texture_t *textures) {
  if (! num_textures || ! textures) return;
  for (unsigned short i = 0; i < num_textures; i++) {
    texture_t &texture = textures[i];
    if (texture.name_length && texture.name) delete[] texture.name;
    texture.name_length = 0; texture.name = 0;
  }
  delete[] textures;
}
